function check() {
	g_result=[];
	var arr=[
	[0,1,2],[3,4,5],[6,7,8], //rows
	[0,3,6],[1,4,7],[2,5,8], // columns
	[0,4,8],[2,4,6] // diagonals
	];
	for (var i=0;i<arr.length;i++) {
		var trio=arr[i]; var t=0;
		for (var j=0;j<3;j++) {
			var id=trio[j];
			t+=g_squares[id];
		}
		if (t==3) g_result.push(trio);
	}
	if (g_result.length>0) return true; else return false;
}
function rc2id(r,c) {
	return r*3+c;
}
function show_result() {
	for (var i=0;i<g_result.length;i++) {
		var ids=g_result[i];
		for (var j=0;j<3;j++) {
			var id=ids[j];
			var el=document.getElementById(id);
			el.style.backgroundColor='pink';
		}
	}
}
